# Simple Stock Bots

[![Platform](https://img.shields.io/badge/platform-Telegram-blue.svg)](https://t.me/SimpleStockBot)
[![Platform](https://img.shields.io/badge/platform-Discord-blue.svg)](https://discordapp.com/api/oauth2/authorize?client_id=532045200823025666&permissions=0&scope=bot)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://tldrlegal.com/license/mit-license#summary)

## About

Simple Stock Bots is a family of messaging bots that aim to provide simple bots that provide information on the stock market. Currently there are only [Telegram](./telegram) and [Discord](./discord) Bots.

## Getting Started

The simplest way to use these bots is to use the version that I host on Digital Ocean. You can find the links to access them below:

- [Telegram](https://t.me/SimpleStockBot)
- [Discord](https://discordapp.com/oauth2/authorize?client_id=532045200823025666&permissions=2048&scope=bot)

Alternatively, this project is completely open source and instructions on how to run your own instance of the bot are provided on each of the bots pages.

## Source Code

The source code for the bots is completely open and hosted on GitLab.

- [Telegram](https://gitlab.com/simple-stock-bots/simple-telegram-stock-bot)
- [Discord](https://gitlab.com/simple-stock-bots/simple-discord-stock-bot)

If you decide to host your own bots using my source code please consider using my referral links for DigitalOcean and IEX Cloud. We both get a kickback when you use them.

- [DigitalOcean](https://m.do.co/c/6b5df7ef55b6)
- [IEX Cloud](https://iexcloud.io/s/62c8503e)

[All market data is provided by IEX Cloud](https://iexcloud.io)
